NXWidgets: NXWidgets::CScrollingTextBox Class Reference

NXWidgets 1.19

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
NXWidgets::CScrollingTextBox Class Reference

`#include <cscrollingtextbox.hxx>`

Inheritance diagram for NXWidgets::CScrollingTextBox:

## Public Member Functions
| CScrollingTextBox (CWidgetControl *pWidgetControl, nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height, const CNxString &text, uint32_t flags, nxgl_coord_t maxRows=0, CWidgetStyle *style=(CWidgetStyle *) NULL)
virtual void | setTextAlignmentHoriz (CMultiLineTextBox::TextAlignmentHoriz alignment)
virtual void | setTextAlignmentVert (CMultiLineTextBox::TextAlignmentVert alignment)
virtual const uint16_t | getPageCount (void) const
virtual const uint16_t | getCurrentPage (void) const
virtual const CText * | getText (void) const
virtual void | setText (const CNxString &text)
virtual void | appendText (const CNxString &text)
virtual void | removeText (const unsigned int startIndex)
virtual void | removeText (const unsigned int startIndex, const unsigned int count)
virtual void | setFont (CNxFont *font)
virtual const unsigned int | getTextLength (void) const
virtual void | showCursor (EShowCursor cursorMode)
void | showCursor (void)
void | hideCursor (void)
virtual void | wrapCursor (bool wrap)
virtual void | moveCursorToPosition (const int32_t position)
virtual const int32_t | getCursorPosition (void) const
virtual void | insertText (const CNxString &text, const unsigned int index)
virtual void | insertTextAtCursor (const CNxString &text)
virtual void | handleValueChangeEvent (const CWidgetEventArgs &e)
virtual void | handleScrollEvent (const CWidgetEventArgs &e)
virtual const int32_t | getCanvasX (void) const
virtual const int32_t | getCanvasY (void) const
virtual const int32_t | getCanvasWidth (void) const
virtual const int32_t | getCanvasHeight (void) const
virtual void | scroll (int32_t dx, int32_t dy)
virtual void | jump (int32_t x, int32_t y)
virtual void | setAllowsVerticalScroll (bool allow)
virtual void | setAllowsHorizontalScroll (bool allow)
virtual void | setCanvasWidth (const int32_t width)
virtual void | setCanvasHeight (const int32_t height)
virtual bool | allowsVerticalScroll (void) const
virtual bool | allowsHorizontalScroll (void) const
Public Member Functions inherited from NXWidgets::ITextBox
virtual | ~ITextBox (void)
virtual void | moveCursorToPosition (const int position)=0
Public Member Functions inherited from NXWidgets::CNxWidget
| CNxWidget (CWidgetControl *pWidgetControl, nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height, uint32_t flags, FAR const CWidgetStyle *style=(FAR const CWidgetStyle *) NULL)
virtual | ~CNxWidget (void)
nxgl_coord_t | getX (void) const
nxgl_coord_t | getY (void) const
nxgl_coord_t | getRelativeX (void) const
nxgl_coord_t | getRelativeY (void) const
bool | hasFocus (void) const
bool | isDeleted (void) const
bool | isDrawingEnabled (void) const
bool | isHidden (void) const
bool | isEnabled (void) const
bool | isPermeable (void) const
bool | isDoubleClickable (void) const
bool | isBorderless (void) const
bool | isClicked (void) const
bool | isBeingDragged (void) const
nxgl_coord_t | getWidth (void) const
nxgl_coord_t | getHeight (void) const
void | getSize (struct nxgl_size_s &size) const
void | getPos (struct nxgl_point_s &pos) const
CRect | getBoundingBox (void)
void | getBorderSize (WidgetBorderSize &borderSize)
CNxWidget * | getParent (void) const
CNxWidget * | getFocusedWidget (void)
virtual void | getPreferredDimensions (CRect &rect) const
void | getClientRect (CRect &rect) const
void | getRect (CRect &rect) const
CNxFont * | getFont (void) const
nxgl_mxpixel_t | getBackgroundColor (void) const
nxgl_mxpixel_t | getSelectedBackgroundColor (void) const
nxgl_mxpixel_t | getShineEdgeColor (void) const
nxgl_mxpixel_t | getShadowEdgeColor (void) const
nxgl_mxpixel_t | getHighlightColor (void) const
nxgl_mxpixel_t | getDisabledTextColor (void) const
nxgl_mxpixel_t | getEnabledTextColor (void) const
nxgl_mxpixel_t | getSelectedTextColor (void) const
const CWidgetStyle * | getWidgetStyle () const
void | setBorderless (bool isBorderless)
void | setDraggable (bool isDraggable)
void | setPermeable (bool permeable)
void | setDoubleClickable (bool doubleClickable)
void | addWidgetEventHandler (CWidgetEventHandler *eventHandler)
void | removeWidgetEventHandler (CWidgetEventHandler *eventHandler)
int | nWidgetEventHandlers (void) const
void | setRaisesEvents (bool raises)
bool | raisesEvents (void) const
void | disableDrawing (void)
void | enableDrawing (void)
void | setBackgroundColor (nxgl_mxpixel_t color)
void | setSelectedBackgroundColor (nxgl_mxpixel_t color)
void | setShineEdgeColor (nxgl_mxpixel_t color)
void | setShadowEdgeColor (nxgl_mxpixel_t color)
void | setHighlightColor (nxgl_mxpixel_t color)
void | setDisabledTextColor (nxgl_mxpixel_t color)
void | setEnabledTextColor (nxgl_mxpixel_t color)
void | setSelectedTextColor (nxgl_mxpixel_t color)
void | redraw (void)
bool | enable (void)
bool | disable (void)
void | close (void)
bool | show (void)
bool | hide (void)
virtual bool | click (nxgl_coord_t x, nxgl_coord_t y)
virtual bool | isDoubleClick (nxgl_coord_t x, nxgl_coord_t y)
bool | doubleClick (nxgl_coord_t x, nxgl_coord_t y)
bool | release (nxgl_coord_t x, nxgl_coord_t y)
bool | drag (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t vX, nxgl_coord_t vY)
bool | keyPress (nxwidget_char_t key)
bool | cursorControl (ECursorControl control)
bool | focus (void)
bool | blur (void)
bool | moveTo (nxgl_coord_t x, nxgl_coord_t y)
bool | resize (nxgl_coord_t width, nxgl_coord_t height)
bool | changeDimensions (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height)
void | moveChildToDeleteQueue (CNxWidget *widget)
void | setFocusedWidget (CNxWidget *widget)
virtual bool | checkCollision (nxgl_coord_t x, nxgl_coord_t y) const
virtual bool | checkCollision (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t width, nxgl_coord_t height) const
bool | checkCollision (CNxWidget *widget) const
void | addWidget (CNxWidget *widget)
void | insertWidget (CNxWidget *widget)
void | setParent (CNxWidget *parent)
void | destroy (void)
bool | remove (void)
bool | removeChild (CNxWidget *widget)
const CNxWidget * | getChild (int index) const
int | getChildCount (void) const
void | setBorderSize (const WidgetBorderSize &borderSize)
Public Member Functions inherited from NXWidgets::IScrollable
virtual | ~IScrollable (void)
Public Member Functions inherited from NXWidgets::CWidgetEventHandler
| CWidgetEventHandler ()
virtual | ~CWidgetEventHandler ()
virtual void | handleClickEvent (const CWidgetEventArgs &e)
virtual void | handleDragEvent (const CWidgetEventArgs &e)
virtual void | handleDropEvent (const CWidgetEventArgs &e)
virtual void | handleReleaseEvent (const CWidgetEventArgs &e)
virtual void | handleReleaseOutsideEvent (const CWidgetEventArgs &e)
virtual void | handleKeyPressEvent (const CWidgetEventArgs &e)
virtual void | handleCursorControlEvent (const CWidgetEventArgs &e)
virtual void | handleFocusEvent (const CWidgetEventArgs &e)
virtual void | handleBlurEvent (const CWidgetEventArgs &e)
virtual void | handleCloseEvent (const CWidgetEventArgs &e)
virtual void | handleHideEvent (const CWidgetEventArgs &e)
virtual void | handleShowEvent (const CWidgetEventArgs &e)
virtual void | handleEnableEvent (const CWidgetEventArgs &e)
virtual void | handleDisableEvent (const CWidgetEventArgs &e)
virtual void | handleResizeEvent (const CWidgetEventArgs &e)
virtual void | handleMoveEvent (const CWidgetEventArgs &e)
virtual void | handleDoubleClickEvent (const CWidgetEventArgs &e)
virtual void | handleActionEvent (const CWidgetEventArgs &e)

## Protected Member Functions
virtual void | drawContents (CGraphicsPort *port)
virtual void | onResize (nxgl_coord_t width, nxgl_coord_t height)
virtual | ~CScrollingTextBox (void)
| CScrollingTextBox (const CScrollingTextBox &scrollingTextBox)
Protected Member Functions inherited from NXWidgets::CNxWidget
void | useWidgetStyle (const CWidgetStyle *style)
virtual void | drawBorder (CGraphicsPort *port)
void | drawChildren (void)
void | closeChild (CNxWidget *widget)
void | startDragging (nxgl_coord_t x, nxgl_coord_t y)
void | stopDragging (nxgl_coord_t x, nxgl_coord_t y)
| CNxWidget (const CNxWidget &widget)
virtual void | onClick (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onDoubleClick (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onPreRelease (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onRelease (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onReleaseOutside (nxgl_coord_t x, nxgl_coord_t y)
virtual void | onDrag (nxgl_coord_t x, nxgl_coord_t y, nxgl_coord_t vX, nxgl_coord_t vY)
virtual void | onDragStart (void)
virtual void | onDragStop (void)
virtual void | onFocus (void)
virtual void | onBlur (void)
virtual void | onEnable (void)
virtual void | onDisable (void)

## Protected Attributes
CMultiLineTextBox * | m_texbox
CScrollbarVertical * | m_scrollbar
uint8_t | m_scrollbarWidth
Protected Attributes inherited from NXWidgets::CNxWidget
CWidgetControl * | m_widgetControl
CRect | m_rect
nxgl_coord_t | m_grabPointX
nxgl_coord_t | m_grabPointY
nxgl_coord_t | m_newX
nxgl_coord_t | m_newY
CWidgetStyle | m_style
Flags | m_flags
CWidgetEventHandlerList * | m_widgetEventHandlers
struct timespec | m_lastClickTime
nxgl_coord_t | m_lastClickX
nxgl_coord_t | m_lastClickY
int | m_doubleClickBounds
CNxWidget * | m_parent
CNxWidget * | m_focusedChild
TNxArray< CNxWidget * > | m_children
WidgetBorderSize | m_borderSize

## Additional Inherited Members
Public Types inherited from NXWidgets::CNxWidget
enum | WidgetFlagType { WIDGET_BORDERLESS = 0x0001, WIDGET_DRAGGABLE = 0x0002, WIDGET_PERMEABLE = 0x0004, WIDGET_DOUBLE_CLICKABLE = 0x0008, WIDGET_NO_RAISE_EVENTS = 0x0010 }

## Detailed Description

Widget containing a CMultiLineTextBox and a vertical scrollbar. Exposed methods are more or less identical to the methods exposed by the CMultiLineTextBox to ensure that the two are interchangeable.

Definition at line 111 of file cscrollingtextbox.hxx.

## Constructor & Destructor Documentation

## ◆ ~CScrollingTextBox()

virtual NXWidgets::CScrollingTextBox::~CScrollingTextBox | ( | void |  | ) |
| inlineprotectedvirtual

Destructor.

Definition at line 142 of file cscrollingtextbox.hxx.

## ◆ CScrollingTextBox() [1/2]

NXWidgets::CScrollingTextBox::CScrollingTextBox | ( | const CScrollingTextBox & | scrollingTextBox | ) |
| inlineprotected

Copy constructor is protected to prevent usage.

Definition at line 148 of file cscrollingtextbox.hxx.

## ◆ CScrollingTextBox() [2/2]

CScrollingTextBox::CScrollingTextBox | ( | CWidgetControl * | pWidgetControl,
|  | nxgl_coord_t | x,
|  | nxgl_coord_t | y,
|  | nxgl_coord_t | width,
|  | nxgl_coord_t | height,
|  | const CNxString & | text,
|  | uint32_t | flags,
|  | nxgl_coord_t | maxRows = `0`,
|  | CWidgetStyle * | style = `(CWidgetStyle *)NULL`
| ) |  |

Constructor.

Parameters

  pWidgetControl | The widget control for the display.
  x | The x coordinate of the text box, relative to its parent.
  y | The y coordinate of the text box, relative to its parent.
  width | The width of the textbox.
  height | The height of the textbox.
  text | Pointer to a string to display in the textbox.
  flags | Standard widget flag options.
  maxRows | The maximum number of rows the textbox can track. Adding text beyond this number will cause rows at the start of the text to be forgotten; text is essentially stored as a queue, and adding to the back of a full queue causes the front items to be popped off. Setting this to 0 will make the textbox track only the visible rows.
  style | The style that the widget should use. If this is not specified, the widget will use the values stored in the global g_defaultWidgetStyle object. The widget will copy the properties of the style into its own internal style object.

Definition at line 114 of file cscrollingtextbox.cxx.

## Member Function Documentation

## ◆ allowsHorizontalScroll()

bool CScrollingTextBox::allowsHorizontalScroll | ( | void |  | ) | const
| virtual

Returns true if horizontal scrolling is allowed.

Returns
  True if horizontal scrolling is allowed.

Implements NXWidgets::IScrollable.

Definition at line 542 of file cscrollingtextbox.cxx.

## ◆ allowsVerticalScroll()

bool CScrollingTextBox::allowsVerticalScroll | ( | void |  | ) | const
| virtual

Returns true if vertical scrolling is allowed.

Returns
  True if vertical scrolling is allowed.

Implements NXWidgets::IScrollable.

Definition at line 531 of file cscrollingtextbox.cxx.

## ◆ appendText()

void CScrollingTextBox::appendText | ( | const CNxString & | text | ) |
| virtual

Append new text to the end of the current text displayed in the textbox.

Parameters

  text | String to append.

Implements NXWidgets::ITextBox.

Definition at line 228 of file cscrollingtextbox.cxx.

## ◆ drawContents()

void CScrollingTextBox::drawContents | ( | CGraphicsPort * | port | ) |
| protectedvirtual

Draw the area of this widget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters

  port | The CGraphicsPort to draw to.

See also
  redraw()

Reimplemented from NXWidgets::CNxWidget.

Definition at line 555 of file cscrollingtextbox.cxx.

## ◆ getCanvasHeight()

const int32_t CScrollingTextBox::getCanvasHeight | ( | void |  | ) | const
| virtual

Gets the height of the virtual canvas.

Returns
  The height of the virtual canvas.

Implements NXWidgets::IScrollable.

Definition at line 452 of file cscrollingtextbox.cxx.

## ◆ getCanvasWidth()

const int32_t CScrollingTextBox::getCanvasWidth | ( | void |  | ) | const
| virtual

Gets the width of the virtual canvas.

Returns
  The width of the virtual canvas.

Implements NXWidgets::IScrollable.

Definition at line 441 of file cscrollingtextbox.cxx.

## ◆ getCanvasX()

const int32_t CScrollingTextBox::getCanvasX | ( | void |  | ) | const
| virtual

Gets the x coordinate of the virtual canvas.

Returns
  The x coordinate of the virtual canvas.

Implements NXWidgets::IScrollable.

Definition at line 419 of file cscrollingtextbox.cxx.

## ◆ getCanvasY()

const int32_t CScrollingTextBox::getCanvasY | ( | void |  | ) | const
| virtual

Gets the y coordinate of the virtual canvas.

Returns
  The y coordinate of the virtual canvas.

Implements NXWidgets::IScrollable.

Definition at line 430 of file cscrollingtextbox.cxx.

## ◆ getCurrentPage()

const uint16_t CScrollingTextBox::getCurrentPage | ( | void |  | ) | const
| virtual

Returns the current page.

Returns
  The current page.

See also
  getPageCount().

Definition at line 190 of file cscrollingtextbox.cxx.

## ◆ getCursorPosition()

const int32_t CScrollingTextBox::getCursorPosition | ( | void |  | ) | const
| virtual

Get the cursor position. This is the index within the string that the cursor is currently positioned over.

Returns
  position The cursor position.

Implements NXWidgets::ITextBox.

Definition at line 328 of file cscrollingtextbox.cxx.

## ◆ getPageCount()

const uint16_t CScrollingTextBox::getPageCount | ( | void |  | ) | const
| virtual

Returns the number of "pages" that the text spans. A page is defined as the amount of text that can be displayed within the textbox at one time.

Returns
  The page count.

Definition at line 178 of file cscrollingtextbox.cxx.

## ◆ getText()

const CText * CScrollingTextBox::getText | ( | void |  | ) | const
| virtual

Returns a pointer to the Text object that contains the wrapped text used in the textbox. It is used as the pre-processed data source for the textbox, and should not be altered.

Returns
  Pointer to the Text object.

Definition at line 204 of file cscrollingtextbox.cxx.

## ◆ getTextLength()

const unsigned int CScrollingTextBox::getTextLength | ( | void |  | ) | const
| virtual

Get the length of the text string.

Returns
  The length of the text string.

Definition at line 280 of file cscrollingtextbox.cxx.

## ◆ handleScrollEvent()

void CScrollingTextBox::handleScrollEvent | ( | const CWidgetEventArgs & | e | ) |
| virtual

Handles events raised by its sub-widgets.

Parameters

  e | Event arguments.

Reimplemented from NXWidgets::CWidgetEventHandler.

Definition at line 397 of file cscrollingtextbox.cxx.

## ◆ handleValueChangeEvent()

void CScrollingTextBox::handleValueChangeEvent | ( | const CWidgetEventArgs & | e | ) |
| virtual

Handles events raised by its sub-widgets.

Parameters

  e | Event arguments.

Reimplemented from NXWidgets::CWidgetEventHandler.

Definition at line 365 of file cscrollingtextbox.cxx.

## ◆ hideCursor()

void NXWidgets::CScrollingTextBox::hideCursor | ( | void |  | ) |
| inline

Hides the cursor.

Definition at line 299 of file cscrollingtextbox.hxx.

## ◆ insertText()

void CScrollingTextBox::insertText | ( | const CNxString & | text,
|  | const unsigned int | index
| ) |  |
| virtual

Insert text at the specified index.

Parameters

  text | The text to insert.
  index | Index at which to insert the text.

Implements NXWidgets::ITextBox.

Definition at line 340 of file cscrollingtextbox.cxx.

## ◆ insertTextAtCursor()

void CScrollingTextBox::insertTextAtCursor | ( | const CNxString & | text | ) |
| virtual

Insert text at the current cursor position.

Parameters

  text | The text to insert.

Implements NXWidgets::ITextBox.

Definition at line 353 of file cscrollingtextbox.cxx.

## ◆ jump()

void CScrollingTextBox::jump | ( | int32_t | x,
|  | int32_t | y
| ) |  |
| virtual

Reposition the panel's scrolling region to the specified coordinates.

Parameters

  x | The new x coordinate of the scrolling region.
  y | The new y coordinate of the scrolling region.

Implements NXWidgets::IScrollable.

Definition at line 476 of file cscrollingtextbox.cxx.

## ◆ moveCursorToPosition()

void CScrollingTextBox::moveCursorToPosition | ( | const int32_t | position | ) |
| virtual

Move the cursor to the text position specified. 0 indicates the start of the string. If position is greater than the length of the string, the cursor is moved to the end of the string.

Parameters

  position | The new cursor position.

Definition at line 315 of file cscrollingtextbox.cxx.

## ◆ onResize()

void CScrollingTextBox::onResize | ( | nxgl_coord_t | width,
|  | nxgl_coord_t | height
| ) |  |
| protectedvirtual

Resize the textbox to the new dimensions.

Parameters

  width | The new width.
  height | The new height.

Reimplemented from NXWidgets::CNxWidget.

Definition at line 567 of file cscrollingtextbox.cxx.

## ◆ removeText() [1/2]

void CScrollingTextBox::removeText | ( | const unsigned int | startIndex | ) |
| virtual

Remove all characters from the string from the start index onwards.

Parameters

  startIndex | Index to remove from.

Implements NXWidgets::ITextBox.

Definition at line 240 of file cscrollingtextbox.cxx.

## ◆ removeText() [2/2]

void CScrollingTextBox::removeText | ( | const unsigned int | startIndex,
|  | const unsigned int | count
| ) |  |
| virtual

Remove specified number of characters from the string from the start index onwards.

Parameters

  startIndex | Index to remove from.
  count | Number of characters to remove.

Implements NXWidgets::ITextBox.

Definition at line 254 of file cscrollingtextbox.cxx.

## ◆ scroll()

void CScrollingTextBox::scroll | ( | int32_t | dx,
|  | int32_t | dy
| ) |  |
| virtual

Scroll the panel by the specified amounts.

Parameters

  dx | The horizontal distance to scroll.
  dy | The vertical distance to scroll.

Implements NXWidgets::IScrollable.

Definition at line 464 of file cscrollingtextbox.cxx.

## ◆ setAllowsHorizontalScroll()

void CScrollingTextBox::setAllowsHorizontalScroll | ( | bool | allow | ) |
| virtual

Set whether or not horizontal scrolling is allowed.

Parameters

  allow | True to allow horizontal scrolling; false to deny it.

Implements NXWidgets::IScrollable.

Definition at line 498 of file cscrollingtextbox.cxx.

## ◆ setAllowsVerticalScroll()

void CScrollingTextBox::setAllowsVerticalScroll | ( | bool | allow | ) |
| virtual

Set whether or not horizontal scrolling is allowed.

Parameters

  allow | True to allow horizontal scrolling; false to deny it.

Implements NXWidgets::IScrollable.

Definition at line 487 of file cscrollingtextbox.cxx.

## ◆ setCanvasHeight()

void CScrollingTextBox::setCanvasHeight | ( | const int32_t | height | ) |
| virtual

Sets the height of the virtual canvas.

Parameters

  height | The height of the virtual canvas.

Implements NXWidgets::IScrollable.

Definition at line 520 of file cscrollingtextbox.cxx.

## ◆ setCanvasWidth()

void CScrollingTextBox::setCanvasWidth | ( | const int32_t | width | ) |
| virtual

Sets the width of the virtual canvas.

Parameters

  width | The width of the virtual canvas.

Implements NXWidgets::IScrollable.

Definition at line 509 of file cscrollingtextbox.cxx.

## ◆ setFont()

void CScrollingTextBox::setFont | ( | CNxFont * | font | ) |
| virtual

Set the font used in the textbox.

Parameters

  font | Pointer to the new font.

Reimplemented from NXWidgets::CNxWidget.

Definition at line 267 of file cscrollingtextbox.cxx.

## ◆ setText()

void CScrollingTextBox::setText | ( | const CNxString & | text | ) |
| virtual

Set the text displayed in the textbox.

Parameters

  text | String to display.

Implements NXWidgets::ITextBox.

Definition at line 215 of file cscrollingtextbox.cxx.

## ◆ setTextAlignmentHoriz()

void CScrollingTextBox::setTextAlignmentHoriz | ( | CMultiLineTextBox::TextAlignmentHoriz | alignment | ) |
| virtual

Set the horizontal alignment of text within the textbox.

Parameters

  alignment | The horizontal position of the text.

Definition at line 154 of file cscrollingtextbox.cxx.

## ◆ setTextAlignmentVert()

void CScrollingTextBox::setTextAlignmentVert | ( | CMultiLineTextBox::TextAlignmentVert | alignment | ) |
| virtual

Set the vertical alignment of text within the textbox.

Parameters

  alignment | The vertical position of the text.

Definition at line 165 of file cscrollingtextbox.cxx.

## ◆ showCursor() [1/2]

void CScrollingTextBox::showCursor | ( | EShowCursor | cursorMode | ) |
| virtual

Sets the cursor display mode.

Parameters

  cursorMode | Determines cursor display mode

Implements NXWidgets::ITextBox.

Definition at line 291 of file cscrollingtextbox.cxx.

## ◆ showCursor() [2/2]

void NXWidgets::CScrollingTextBox::showCursor | ( | void |  | ) |
| inline

Shows the cursor in default mode (only when the TextBox has focus).

Definition at line 290 of file cscrollingtextbox.hxx.

## ◆ wrapCursor()

void CScrollingTextBox::wrapCursor | ( | bool | wrap | ) |
| virtual

Enables/disables cursor wrapping

Parameters

  wrap | True enables cursor wrapping

Implements NXWidgets::ITextBox.

Definition at line 302 of file cscrollingtextbox.cxx.

## Member Data Documentation

## ◆ m_scrollbar

CScrollbarVertical* NXWidgets::CScrollingTextBox::m_scrollbar
| protected

Pointer to the scrollbar

Definition at line 116 of file cscrollingtextbox.hxx.

## ◆ m_scrollbarWidth

uint8_t NXWidgets::CScrollingTextBox::m_scrollbarWidth
| protected

Width of the scrollbar

Definition at line 117 of file cscrollingtextbox.hxx.

## ◆ m_texbox

CMultiLineTextBox* NXWidgets::CScrollingTextBox::m_texbox
| protected

Pointer to the textbox

Definition at line 115 of file cscrollingtextbox.hxx.

The documentation for this class was generated from the following files:

- cscrollingtextbox.hxx
- cscrollingtextbox.cxx